linux-ec2: 2.6.32-349.55 -proposed tracker

Bug #1056081 reported by Brad Figg on 2012-09-25
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Kernel SRU Workflow
Undecided
Unassigned
Certification-testing
Undecided
Unassigned
Prepare-package
Undecided
Stefan Bader
Prepare-package-meta
Undecided
Luis Henriques
Promote-to-proposed
Undecided
Adam Conrad
Promote-to-security
Undecided
Adam Conrad
Promote-to-updates
Undecided
Adam Conrad
Regression-testing
Undecided
C de-Avillez
Security-signoff
Undecided
John Johansen
Upload-to-ppa-dnu
Undecided
Luis Henriques
Verification-testing
Undecided
Canonical Kernel Team
linux-ec2 (Ubuntu)
Medium
Unassigned
Lucid
Undecided
Unassigned

Bug Description

This bug is for tracking the <version to be filled> upload package. This bug will contain status and testing results related to that upload.

For an explanation of the tasks and the associated workflow see: https://wiki.ubuntu.com/Kernel/kernel-sru-workflow
kernel-stable-Prepare-package-start:Tuesday, 25. September 2012 10:16 UTC
kernel-stable-Certification-testing-end:Tuesday, 25. September 2012 10:32 UTC
kernel-stable-Prepare-package-end:Friday, 28. September 2012 16:00 UTC
kernel-stable-Promote-to-proposed-start:Friday, 28. September 2012 16:00 UTC
kernel-stable-Promote-to-proposed-end:Friday, 28. September 2012 18:16 UTC
kernel-stable-Verification-testing-start:Friday, 28. September 2012 19:16 UTC
kernel-stable-Security-signoff-start:Tuesday, 02. October 2012 13:31 UTC
kernel-stable-Verification-testing-end:Tuesday, 02. October 2012 13:31 UTC
kernel-stable-Regression-testing-start:Tuesday, 02. October 2012 13:31 UTC
kernel-stable-Security-signoff-end:Wednesday, 03. October 2012 20:46 UTC
kernel-stable-Promote-to-updates-start:Wednesday, 03. October 2012 22:15 UTC
kernel-stable-Regression-testing-end:Wednesday, 03. October 2012 22:15 UTC
kernel-stable-phase:Released
kernel-stable-phase-changed:Thursday, 04. October 2012 19:31 UTC
kernel-stable-Promote-to-updates-end:Thursday, 04. October 2012 19:31 UTC

This tracking bug was opened to be worked from linux-2.6.32-44.98 update (bug 1055438)

tags: added: kernel-release-tracking-bug
Changed in linux-ec2 (Ubuntu):
status: New → In Progress
importance: Undecided → Medium
tags: added: lucid
Changed in kernel-sru-workflow:
status: New → In Progress
Brad Figg (brad-figg) on 2012-09-25
description: updated
Stefan Bader (smb) on 2012-09-28
summary: - linux-ec2: <version to be filled> -proposed tracker
+ linux-ec2: 2.6.32-349.55 -proposed tracker

All builds are complete, packages in this bug can be copied to -proposed.

description: updated
Adam Conrad (adconrad) wrote :

Copied to -proposed and overrides adjusted.

Brad Figg (brad-figg) on 2012-09-28
description: updated
Brad Figg (brad-figg) on 2012-09-28
description: updated
Brad Figg (brad-figg) on 2012-10-02
description: updated
John Johansen (jjohansen) wrote :

Looks good

Brad Figg (brad-figg) on 2012-10-03
description: updated
C de-Avillez (hggdh2) wrote :

no regressions observed

tags: added: qa-testing-passed
Brad Figg (brad-figg) on 2012-10-03
description: updated

The verification of this Stable Release Update has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regresssions.

Adam Conrad (adconrad) wrote :

Released to -updates and -security.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux-ec2 - 2.6.32-349.55

---------------
linux-ec2 (2.6.32-349.55) lucid-proposed; urgency=low

  [ Stefan Bader ]

  * Revert "SAUCE: EC2: Backport changes to limit GSO segments"
    - LP: #1037456
    - CVE-2012-3412
  * Rebased to Ubuntu-2.6.32-44.98
  * Release Tracking Bug
    - LP: #1056081

  [ Ubuntu: 2.6.32-44.98 ]

  * SAUCE: drm/vmwgfx: add MODULE_DEVICE_TABLE so vmwgfx loads at boot
    - LP: #1039157
  * Revert "sfc: Fix maximum number of TSO segments and minimum TX queue
    size"
    - LP: #1037456
    - CVE-2012-3412
  * Revert "sfc: Replace some literal constants with
    EFX_PAGE_SIZE/EFX_BUF_SIZE"
    - LP: #1037456
    - CVE-2012-3412
  * Revert "tcp: Apply device TSO segment limit earlier"
    - LP: #1037456
    - CVE-2012-3412
  * Revert "tcp: do not scale TSO segment size with reordering degree"
    - LP: #1037456
    - CVE-2012-3412
  * Revert "net: Allow driver to limit number of GSO segments per skb"
    - LP: #1037456
    - CVE-2012-3412
  * cred: copy_process() should clear child->replacement_session_keyring
    - LP: #1023535
    - CVE-2012-2745
  * KVM: Change irq routing table to use gsi indexed array
    - LP: #1016298
    - CVE-2012-2137
  * KVM: Fix buffer overflow in kvm_set_irq()
    - LP: #1016298
    - CVE-2012-2137
  * xen: just completely disable XSAVE
    - LP: #1044550
  * xen: Allow PV-OPS kernel to detect whether XSAVE is supported
    - LP: #1044550
  * sfc: Fix maximum number of TSO segments and minimum TX queue size
    - LP: #1037456
    - CVE-2012-3412
 -- Stefan Bader <email address hidden> Fri, 28 Sep 2012 15:24:48 +0200

Changed in linux-ec2 (Ubuntu Lucid):
status: New → Fix Released
Adam Conrad (adconrad) on 2012-10-04
Changed in linux-ec2 (Ubuntu):
status: In Progress → Invalid

The package has been published and the bug is being set to Fix Released

Changed in kernel-sru-workflow:
status: In Progress → Fix Released
description: updated
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers